# return

retorna ou pára a execução de uma função e copia algumas de suas variáveis locais

## Seqüência de Chamamento

    return
                [x1,..,xn]=return(a1,..,an)

## Parâmetros

x

  ...

## Descrição

Em uma função, `return` pára a execução da mesma, `[..]=return(..)` pára a execução de uma função e põe as variáveis locais `ai` no ambiente de chamamento sob os nomes de `xi`.

No modo `pause` , permite retornar a um nível inferior `[..]=return(..)` retorna ao nível inferior e põe as variáveis locais `ai` no ambiente de chamamento sob os nomes de `xi`.

Em um `execstr` chamado por uma função, `[..]=return(..)` pára a execução da função e põe as variáveis locais `ai` no ambiente de chamamento sob os nomes de `xi`.

`resume` é equivalente a `return`.

## Ver Também

- abort
- break